Bug 1356677 - Liveusb creator can't start (crash) using nvidia driver/libraries
Summary: Liveusb creator can't start (crash) using nvidia driver/libraries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 25
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 16:37 UTC by jeremy9856
Modified: 2017-07-18 12:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-18 12:20:34 UTC
Type: Bug


Attachments (Terms of Use)
Backtrace (4.84 KB, text/plain)
2016-07-18 19:53 UTC, jeremy9856
no flags Details
backtrace from all threads (28.34 KB, text/plain)
2016-09-26 15:54 UTC, jeremy9856
no flags Details


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 348812 0 None None None 2016-09-14 15:57:50 UTC
Qt Bug Tracker QTBUG-50368 0 None None None 2016-09-14 15:58:29 UTC

Description jeremy9856 2016-07-14 16:37:31 UTC
Hello,

Liveusb creator can't start and crash with this output in the terminal.

file:///usr/lib64/qt5/qml/QtQuick/Controls/ComboBox.qml:560:5: QML Menu: Binding loop detected for property "__selectedIndex"
Segmentation fault (core dumped)

I can't test it again but I think it was working with Nouveau and not with Nvidia proprietary drivers that I use.

Thanks !

Comment 1 Adam Williamson 2016-07-16 15:57:55 UTC
Can you please confirm that it works with nouveau? If so, it's unlikely that we can do much about it, since proprietary drivers are...proprietary...we can't look at the source and figure out what's going on.

Comment 2 jeremy9856 2016-07-16 16:49:27 UTC
I just tried with Nouveau and it worked. I just have this output in the terminal :

file:///usr/lib64/qt5/qml/QtQuick/Controls/ComboBox.qml:560:5: QML Menu: Binding loop detected for property "__selectedIndex"

Comment 3 jeremy9856 2016-07-16 20:14:37 UTC
I posted on Nvidia forum. I hope they could help :

https://devtalk.nvidia.com/default/topic/950867/linux/fedora-24-liveusb-creator-can-t-start-crash-/

Comment 4 leigh scott 2016-07-17 12:31:55 UTC
I don't think it's a nvidia issue as it works fine here with 367.27.

Comment 5 jeremy9856 2016-07-17 13:05:55 UTC
That's interesting. I have a GT430, with the 367.27 too, from Negativo17 installed like that :

$ sudo dnf install nvidia-driver dkms-nvidia nvidia-driver-libs.i686

I use this in /etc/environment but I don't think it's related :

CLUTTER_PAINT=disable-clipped-redraws:disable-culling
CLUTTER_VBLANK=True

Comment 6 leigh scott 2016-07-18 18:38:04 UTC
Can you post a backtrace please?

su
dnf install gdb python-debuginfo
gdb -ex r --args python /usr/bin/liveusb-creator


When it crashes type

bt

that will generate a backtrace (post it here).

Comment 7 jeremy9856 2016-07-18 19:53:28 UTC
Created attachment 1181262 [details]
Backtrace

Here is a backtrace. It asked to install a truck load of packages. I managed to install everything except this :

dnf debuginfo-install libglvnd-0.1.0-3.8277115.fc24.x86_64
activation du dépôt fedora-debuginfo
activation du dépôt rpmfusion-free-updates-debuginfo
activation du dépôt rpmfusion-nonfree-debuginfo
activation du dépôt rpmfusion-nonfree-updates-debuginfo
activation du dépôt rpmfusion-free-debuginfo
activation du dépôt updates-debuginfo
Vérification de l'expiration des métadonnées effectuée il y a 0:11:02 sur Mon Jul 18 21:39:50 2016.
Le paquet glibc-debuginfo-2.23.1-8.fc24.x86_64 est déjà installé, ignorer
Le paquet nss-softokn-debuginfo-3.25.0-1.0.fc24.x86_64 est déjà installé, ignorer
Le paquet libX11-debuginfo-1.6.3-3.fc24.x86_64 est déjà installé, ignorer
Le paquet libxcb-debuginfo-1.11.1-2.fc24.x86_64 est déjà installé, ignorer
Le paquet libXau-debuginfo-1.0.8-6.fc24.x86_64 est déjà installé, ignorer
Le paquet libXext-debuginfo-1.3.3-4.fc24.x86_64 est déjà installé, ignorer
Dépendances résolues.
Rien à faire.
Terminé !

Comment 8 leigh scott 2016-07-18 22:47:59 UTC
(In reply to Adam Williamson from comment #1)
> Can you please confirm that it works with nouveau? If so, it's unlikely that
> we can do much about it, since proprietary drivers are...proprietary...we
> can't look at the source and figure out what's going on.

looking at the backtrace provided it would appear to be a QT5 issue, can you reassign it?

Comment 9 leigh scott 2016-07-25 10:47:27 UTC
liveusb-creator crashes on f25 here


(gdb) bt
#0  0x00007ffff6d947fe in __strstr_sse2 () at /lib64/libc.so.6
#1  0x00007fffdea2292a in QSGRenderContext::initialize(QOpenGLContext*) () at /lib64/libQt5Quick.so.5
#2  0x00007fffdea415d9 in QSGRenderThread::run() () at /lib64/libQt5Quick.so.5
#3  0x00007fffe8ae3a1a in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#4  0x00007ffff77e26ca in start_thread () at /lib64/libpthread.so.0
#5  0x00007ffff6e0ce2f in clone () at /lib64/libc.so.6

Comment 10 jeremy9856 2016-08-03 16:54:15 UTC
Maybe we should open an issue on Qt bug tracker ?

Comment 11 Martin Bříza 2016-08-04 16:41:24 UTC
I'm convinced this is more of a driver issue than a Qt bug. Generally, fixing bugs related to closed-source drivers is not feasible for both maintainers and the original developers of the graphical software.

Comment 12 Adam Williamson 2016-08-19 18:39:21 UTC
FWIW I just tried on current F25 with an NVIDIA GeForce 9600 GT and nouveau, and it launches OK.

Comment 13 jeremy9856 2016-08-19 20:09:19 UTC
Yeah with nouveau it work but it doesn't work with Nvidia proprietary drivers.

Comment 14 Rex Dieter 2016-09-14 15:57:51 UTC
See also:
https://bugs.kde.org/show_bug.cgi?id=348812
and
https://bugreports.qt.io/browse/QTBUG-50368

Triaging component, and adjusting summary

Comment 15 Ed Greshko 2016-09-26 13:35:03 UTC
And, as discussed on the user's list, a workaround for this issue seems to be modifying /usr/bin/liveusb-creator to add a single line at the start of the code.

import os
import sys
from OpenGL import GL       <<<<----- added line
from liveusb import _

This allows it to run on both of my systems using nVidia drivers.

Comment 16 Rex Dieter 2016-09-26 13:47:55 UTC
I suspect that may simply be a workaround for what's fundamentally a driver bug (opengl not getting initialized properly)

Comment 17 Rex Dieter 2016-09-26 13:52:17 UTC
So folks don't have to go searching, the interesting part of backtrace from comment #7 :

(gdb) bt
#0  0x0000000000000000 in  ()
#1  0x00007fffe46c9b8d in QOpenGLContextPrivate::maxTextureSize() (this=0x7fffc01af660, params=0x7fffd126c070, pname=4096, level=0, target=32868)
    at ../../src/gui/opengl/qopenglfunctions_1_0.h:401
#2  0x00007fffe46c9b8d in QOpenGLContextPrivate::maxTextureSize() (this=
    0x555555f406d0) at kernel/qopenglcontext.cpp:381
#3  0x00007fffe48c7ffd in QTextureGlyphCache::populate(QFontEngine*, int, unsigned int const*, QFixedPoint const*) (this=this@entry=0x7fffc01b6d20, fontEngine=<optimized out>, numGlyphs=<optimized out>, glyphs=<optimized out>, positions=<optimized out>) at painting/qtextureglyphcache.cpp:202
#4  0x00007fffe012dba0 in QSGTextMaskMaterial::populate(QPointF const&, QVector<unsigned int> const&, QVector<QPointF> const&, QSGGeometry*, QRectF*, QPointF*, QMargins const&) (this=<optimized out>, p=..., glyphIndexes=..., glyphPositions=..., geometry=geometry@entry=0x7fffc01b6c40, boundingRect=boundingRect@entry=0x7fffd126c380, baseLine=<optimized out>, margins=...)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgdefaultglyphnode_p.cpp:450

which doesn't match what's in comment #9 (9's issue is more a symptom of opengl not working, in my experience)

Comment 18 Rex Dieter 2016-09-26 13:53:58 UTC
actually, comment #9 doesn't appear to be a crash at all, next time, get backtrace from all threads using:  thread apply all bt

Comment 19 jeremy9856 2016-09-26 15:54:41 UTC
Created attachment 1204880 [details]
backtrace from all threads

> actually, comment #9 doesn't appear to be a crash at all, next time, get backtrace from all threads using:  thread apply all bt

Ok so I just did a backtrace from all threads using "thread apply all bt". Liveusb creator don't seem to crash while backtrace but display an empty (black) window.

Comment 20 jeremy9856 2016-09-26 16:07:29 UTC
By the way mediawriter 3.97, that seem really really similar to liveusb-creator, works.

Comment 21 jeremy9856 2016-12-11 07:00:15 UTC
liveusb-creator still crash, mediawriter not.

Comment 22 Than Ngo 2017-07-18 12:20:34 UTC
this issue only appears when using nvidia proprietary drivers, and it's unlikely that we can do much about it, since proprietary drivers are close source.

close WONTFIX


Note You need to log in before you can comment on or make changes to this bug.